GET
/pipelines/{pipeline_id}/versions/{version_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/{pipeline_id}/versions/{version_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/{pipeline_id}/versions/{version_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/{pipeline_id}/versions/{version_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”pipeline_id
required
string
version_id
required
string
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Successful retrieval of pipeline version details
Media typeapplication/json
object
code
integer
message
string
data
object
pipeline_id
string format: uuid
pipeline_version_id
string format: uuid
display_name
string
description
string
created_at
string format: date-time
pipeline_spec
object
errors
object
Example
{ "code": 200, "message": "Success", "data": { "pipeline_id": "824dccf7-edab-4b69-8f7a-6b77f726f74b", "pipeline_version_id": "1c48f3a2-70cb-4deb-9b83-36678c2f507c", "display_name": "helloworld-124-1731580109", "description": "initial", "created_at": "2024-11-14T10:28:29.997596Z" }, "errors": {}}